import seaborn as sns

OUTPUT_PATH = "_output"
TEMPORARY_OUTPUT_PATH = "_tmp"
IMAGES_PATH = "_images"

VIS_FORMAT = ["jpg", "pdf"]
FIG_SIZE = (48, 7)
DPI = 200

PRELIMINARY_CHECK_PATH = f"{OUTPUT_PATH}/preliminary"
NORMALITY_IMAGES_PATH = f"{PRELIMINARY_CHECK_PATH}/normality_images"

NON_PARAMETRIC_PATH = f"{OUTPUT_PATH}/non_parametric"
ANOVA_PATH = f"{OUTPUT_PATH}/anova"
QUESTIONNAIRE_PATH = f"{OUTPUT_PATH}/questionnaire"

IMAGE_OUTPUT_PATH = f"{OUTPUT_PATH}/images"
HISTOGRAM_BINS = 8

# Either "calculatedValue" or "trimmedValue"
VALUE_COLUMN = "trimmedValue"

TOP_OFFSET = 0.815
BOTTOM_OFFSET = 0.1
TOP_BORDER_OFFSET = 1.01
BOTTOM_BORDER_OFFSET = 0.125
LEFT_BORDER_OFFSET = 0.125
H_SPACE = 0.5

SNS_AXES_STYLE = "whitegrid"
SNS_CONTEXT = "talk"

RC_FONTS = {
    "font": 28,         # controls default text sizes
    "axes": {
        "title": 28,    # fontsize of the axes title
        "label": 28     # fontsize of the x and y labels
    },
    "xtick": 31,        # fontsize of the tick labels
    "ytick": 31,        # fontsize of the tick labels
    "legend": 31,       # legend fontsize
    "figure": 28,       # fontsize of the figure title
}
CAPTION_COLOR = (212 / 255., 0 / 255., 170 / 255.)

# Colors
# PERCEPTION_RATING_COLOR_PALETTE = sns.blend_palette(colors=["#74d600", "#cc3300"], n_colors=5)
PERCEPTION_RATING_COLOR_PALETTE = list(reversed(['#d7191c', '#fdae61', '#ffffbf', '#a6d96a', '#1a9641']))
# BACKGROUND_RATING_COLOR_PALETTE = sns.light_palette((260, 75, 60), input="husl", reverse=True, n_colors=4)[:4]
BACKGROUND_RATING_COLOR_PALETTE = ['#d7191c', '#fdae61', '#a6d96a', '#1a9641']

# From http://colorbrewer2.org/#type=sequential&scheme=Oranges&n=7
BG_COLORS = {
    "BG1": "#c7e9c0",
    "BG2": "#a1d99b",
    "BG3": "#74c476",
    "BG4": "#41ab5d"
}
COMPLEXITY_COLORS = {
    "40 (8, 5)": "#fdd0a2",
    "50 (10, 5)": "#fdae6b",
    "60a (12, 5)": "#fd8d3c",
    "60b (10, 6)": "#f16913",
    "70 (10, 7)": "#d94801",
}
# Mixed through https://htmlcolors.com/color-mixer
BG_F_COLORS = {
    "BG3 (Single Focus)": "#fdd0a2",
    "BG3 (Split Focus)": "#fdae6b",
    "BG4 (Single Focus)": "#f16913",
    "BG4 (Split Focus)": "#d94801",
}
# http://colorbrewer2.org/#type=sequential&scheme=Blues&n=7
FOCUS_COLORS = {
    "Single Focus": "#9ecae1",
    "Split Focus": "#4292c6"
}