from config import IMAGE_OUTPUT_PATH, PRELIMINARY_CHECK_PATH, NORMALITY_IMAGES_PATH, NON_PARAMETRIC_PATH, ANOVA_PATH, QUESTIONNAIRE_PATH

INPUT_PATH = "../06 - Logged data (Study 1)"
DATA_SET_INPUT_PATH = "../04 - Line chart data (Study1)"
QUESTIONNAIRE_INPUT_PATH = "../06 - Logged data (Study 1)/numerical_questionnaire.csv"

STUDY_KEY = "S1"

USE_ABS_ERROR = True
FALSE_STRING = "false"
TRUE_STRING = "TRUE"
QUESTION_STRING = "Question"
VIS_STRING = "Vis"

IMAGE_OUTPUT_PATH = f"{IMAGE_OUTPUT_PATH}/{STUDY_KEY}"

PRELIMINARY_CHECK_PATH = f"{PRELIMINARY_CHECK_PATH}/{STUDY_KEY}"
NORMALITY_IMAGES_PATH = f"{NORMALITY_IMAGES_PATH}/{STUDY_KEY}"

NON_PARAMETRIC_PATH = f"{NON_PARAMETRIC_PATH}/{STUDY_KEY}"
ANOVA_PATH = f"{ANOVA_PATH}/{STUDY_KEY}"
QUESTIONNAIRE_PATH = f"{QUESTIONNAIRE_PATH}/{STUDY_KEY}"

IGNORE_FILE_NR = [4, 2, 6]
BACKGROUND_LOOKUP = {
    "Leinwand": "BG1",
    "Steuer+Feed": "BG2",
    "Algenreaktor": "BG3",
}

QUESTION_TYPE_LOOKUP_COMBINED = {
    "Retrieve Value": [(1, 2), (2, 2), (2, 3), (4, 3)],
    "Filter": [(2, 4), (3, 1), (4, 1)],
    "Compute Derived Value": [(1, 4), (3, 3), (4, 4)],
    "Extremum": [(1, 1), (1, 3), (4, 2)],
    "Find Anomalies": [(2, 1)],
    "Determine Range": [(3, 2)],
    "Range Values": ["Min", "Max", "Delta"],
    "Extreme Values": ["Y-Wert"]
}

TRAINING_EFFECT_ORDER_RANGE = 5

T_TYPES = ["StartQuestionDuration",
           "SolvingDuration", "#Toggles", "VisDuration", "QuestionDuration", "EndState",
           "AnswerDuration", "#TogglesAnswering", "VisDurationAnswering", "QuestionDurationAnswering", "EndStateAnswering"]

# Vis paramters

LLAT = [
    "Retrieve",
    "Filter",
    "Compute",
    "Extremum",
    "Range",
    "Anomalies",
]
TLX_ORDER = [
    "Geistige Anforderungen",
    "Koerperliche Anforderung",
    "Leistung",
    "Schnelligkeit",
    "Praezision",
    "Frustration",
]
QUESTION_MAPPING = {
        "generalQuestion1": "PQ1: The presentation of the visualization in a real environment irritated me.",
        "generalQuestion2": "PQ2: The real-world background did not influenced me.  **",
        "generalQuestion3": "PQ3: I was able to suppress the real-world background.  **",
        "generalPerception1": "PQ4: How well did you generally perceive the lines?",
        "generalPerception2": "PQ5: How well did you generally perceive the axis labels?  **",
        "backgPerception1": "PQ6: How much did the background affect the perception of the lines?  *",
        "backgPerception2": "PQ7: How much did the background affect the perception of the axis labels?  **",
}
# BG_COLORS = {
#     "BG1": "#72c4d0",
#     "BG2": "#91d9d3",
#     "BG3": "#afeed5",
#     "BG4": "#54afcd"
# }
# COMPLEXITY_COLORS = {
#     "40 (8, 5)": "#ecea5d",
#     "50 (10, 5)": "#ced663",
#     "60 (12, 5)": "#a5c756",
#     "60 (10, 6)": "#92ba57",
#     "70 (10, 7)": "#73ab5c",
# }

_YLIM_FACTOR = 1.125
VIS_VALUES = {
    "EN-yLabels": [i * 2.5 for i in range(0, 5)],
    "EB-yLabels": [0, 25, 50, 75, 100],
    "T-yLabels": [i * 5 for i in range(0, 5)],
    "TLX-yLabels": [i for i in range(1, 11)],
    "EN-C-yLabels": [i * 2 for i in range(0, 5)],
    "EN-ylim": (0, 10 * _YLIM_FACTOR),
    "EB-ylim": (0, 1 * _YLIM_FACTOR),
    "T-ylim": (0, 20 * _YLIM_FACTOR),
    "TLX-ylim": (0, 10 * _YLIM_FACTOR),
    "EN-C-ylim": (0, 8 * _YLIM_FACTOR),
}
VIS_VALUES.update({
    "EN-yTicks": VIS_VALUES["EN-yLabels"],
    "EB-yTicks": [0, .25, .5, .75, 1],
    "T-yTicks": VIS_VALUES["T-yLabels"],
    "TLX-yTicks": VIS_VALUES["TLX-yLabels"],
    "EN-C-yTicks": VIS_VALUES["EN-C-yLabels"]
})
ERROR_WIDTH = 2
ERROR_COLOR = "#000000"

VIS_NUMERIC_ORDER = [
    LLAT[0],
    LLAT[2],
    LLAT[4]
]
VIS_BOOL_ORDER = [
    LLAT[1],
    LLAT[3],
    LLAT[5],
]

ERRORS_TITLE = "Errors split by LLAT"
CORRECTNESS_TITLE = "Correctness split by LLAT"
TIME_TITLE = "Completion time split by LLAT"
