import glob
import os
import pandas as pd
from config import TEMPORARY_OUTPUT_PATH
from study2.s2_config import STUDY_INPUT_PATH


columns = ["fileNr", "background", "eventType", "blockNr", "color", "number"]
output_df = pd.DataFrame(columns=columns)
for dic in [d[0] for d in os.walk(STUDY_INPUT_PATH)]:
    for fp in glob.glob(f"{dic}/ClientLog(Mobiles)-*.csv"):
        file_name = fp.split('\\')[-1]
        _, file_nr, background = file_name.split('-')
        background = background[1:3]

        df = pd.read_csv(fp, sep=";", skipinitialspace=True)
        df = df[(df.eventType == "ShowFocusTask") & (df.color == ("grün" if file_nr != "15" else "weiß")) & (df.blockNr > 0)]
        df = df[["number", "color", "eventType", "blockNr"]]

        for _, row in df.iterrows():
            output_df = output_df.append({
                "fileNr": file_nr,
                "background": background,
                "number": row.number,
                "color": row.color,
                "eventType": row.eventType,
                "blockNr": row.blockNr,
            }, ignore_index=True)

output_df[columns].to_csv(f"{TEMPORARY_OUTPUT_PATH}/focus-number.csv")


